#ifndef __HCONFIG_H__
#define __HCONFIG_H__

#include "kconfig.h"
#include <qfont.h>
#include <qpixmap.h>
#include <qstring.h>
#include <qcolor.h>


class KHostConfig
{
public:
  KHostConfig(KConfig *conf);

  QFont getHostListFont();
  QFont getHeaderFont();
  QFont getButtonFont();
  QFont getMessageFont();
  QString getHeaderText();
  QString getMessageText();
  QPixmap *getHeaderLogo();
  int getWidth();
  int getHeight();
  QColor *getBgColor();
  GUIStyle getGUIStyle();
  int getNameWidth();

private:
  KConfig *kc;
  QFont hostlist, header, button, msgfont;
  QString headertext, messagetext;
  QPixmap *logo;
  int width, height;
  QColor *bgcolor;
  GUIStyle guistyle;
  int nwidth;
};

#endif
